Bug Hunting Session
Bug 119966 - Support file URI scheme in format of 'file:///' from HTML clipboard content. This is a format generated from MSO 2007-2013
Summary: Support file URI scheme in format of 'file:///' from HTML clipboard content. ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL: https://blogs.msdn.microsoft.com/free...
Whiteboard:
Keywords:
Depends on:
Blocks: Paste-From-MSO
  Show dependency treegraph
 
Reported: 2018-09-18 19:55 UTC by Luke
Modified: 2019-09-21 03:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2018-09-18 19:55:36 UTC
When pasting special URL's with 'file://' fail to open.

Steps to reproduce:
1. Open a document containing images with Word 2007-2013 (NOT 2016), such as attachment 92563 [details]
2. Copy into clipboard
3. Paste Special into Writer using "HTML format without comments"

Expected results:
Images is successfully pasted into Writer

Actual results:
A placeholder showing the image’s URL in the file system is shown.  Ex: file://C:\Users\AAA\Appdata\Local\Temp\clip\01\image001.jpg

When tested with other Windows application. 
WordPerfect x9: PASS
TextMaker 2018: PASS

Note you can fix this issue by clicking on the image placeholder 

1. Properties->Image->Link->file name
2. delete the 'file://'
3. From file://C:\Users\AAA\Appdata\Local\Temp\clip\01\image001.jpg


We either need to add file:// support to our HTML importer or we need to have our pasting module strip it out in the case of "HTML format without comments"
Comment 1 Luke 2018-09-18 21:08:53 UTC
Even before you modify the file URI, the image is correctly previewed. Also, this can be fixed by changing 'file:///' to 'file://' to allow the image to load.
Comment 2 Luke 2018-09-19 19:27:25 UTC
One more datapoint. With Paste Special -> "HTML format"
WPS Writer: PASS
Comment 3 raal 2018-09-20 05:34:35 UTC
Confirm with Version: 6.2.0.0.alpha0+
Build ID: a27ae800fed5a974c9b255f7ce2b38ec2dbaa426
CPU threads: 4; OS: Windows 6.1; UI render: default;   and MSOffice 2010
Comment 4 QA Administrators 2019-09-21 03:07:03 UTC
Dear Luke,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug